<?php
/**
 * Created by PhpStorm.
 * User: machengjun
 * Date: 2018/3/22
 * Time: 下午3:26
 */
namespace App\Http\Controllers\Api\Business;
use App\Http\Controllers\Controller;
use App\Repositories\Business\BusinessRepository;
use App\Repositories\Business\RepairRepository;
use App\Repositories\CustomerRepository;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

/**
 * Class CustomerController
 * @package App\Http\Controllers\Api
 */
class CommunicationController extends Controller
{

    protected $repair;

    public function __construct(RepairRepository $repair)
    {
        $this->repair = $repair;
    }


    public function repairCreate(Request $request)
    {
        Log::info("[businessRepairCreate]params" . json_encode($request->all()));
        $input = $request->all();
        $input['system_users_id'] = $request->get('user')->id;
        $this->repair->create($input);

        return $this->responseSuccess();
    }






}